App\Library\Amazon\Classes\FilmCamera:
    xml_root_name: FilmCamera
    properties:
        cameraType:
            expose: true
            access_type: public_method
            serialized_name: CameraType
            accessor:
                getter: getCameraType
                setter: setCameraType
            type: string
        filmFormat:
            expose: true
            access_type: public_method
            serialized_name: FilmFormat
            accessor:
                getter: getFilmFormat
                setter: setFilmFormat
            type: string
        focusType:
            expose: true
            access_type: public_method
            serialized_name: FocusType
            accessor:
                getter: getFocusType
                setter: setFocusType
            type: string
        lensType:
            expose: true
            access_type: public_method
            serialized_name: LensType
            accessor:
                getter: getLensType
                setter: setLensType
            type: string
        opticalZoomRange:
            expose: true
            access_type: public_method
            serialized_name: OpticalZoomRange
            accessor:
                getter: getOpticalZoomRange
                setter: setOpticalZoomRange
            type: App\Library\Amazon\Classes\LengthDimensionType
        minFocalLength:
            expose: true
            access_type: public_method
            serialized_name: MinFocalLength
            accessor:
                getter: getMinFocalLength
                setter: setMinFocalLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        maxFocalLength:
            expose: true
            access_type: public_method
            serialized_name: MaxFocalLength
            accessor:
                getter: getMaxFocalLength
                setter: setMaxFocalLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        minAperture:
            expose: true
            access_type: public_method
            serialized_name: MinAperture
            accessor:
                getter: getMinAperture
                setter: setMinAperture
            type: App\Library\Amazon\Classes\ApertureDimensionType
        maxAperture:
            expose: true
            access_type: public_method
            serialized_name: MaxAperture
            accessor:
                getter: getMaxAperture
                setter: setMaxAperture
            type: App\Library\Amazon\Classes\ApertureDimensionType
        minShutterSpeed:
            expose: true
            access_type: public_method
            serialized_name: MinShutterSpeed
            accessor:
                getter: getMinShutterSpeed
                setter: setMinShutterSpeed
            type: string
        maxShutterSpeed:
            expose: true
            access_type: public_method
            serialized_name: MaxShutterSpeed
            accessor:
                getter: getMaxShutterSpeed
                setter: setMaxShutterSpeed
            type: string
        meteringMethods:
            expose: true
            access_type: public_method
            serialized_name: MeteringMethods
            accessor:
                getter: getMeteringMethods
                setter: setMeteringMethods
            type: string
        iSORange:
            expose: true
            access_type: public_method
            serialized_name: ISORange
            accessor:
                getter: getISORange
                setter: setISORange
            type: string
        flashType:
            expose: true
            access_type: public_method
            serialized_name: FlashType
            accessor:
                getter: getFlashType
                setter: setFlashType
            type: string
        flashModes:
            expose: true
            access_type: public_method
            serialized_name: FlashModes
            accessor:
                getter: getFlashModes
                setter: setFlashModes
            type: string
        hotShoe:
            expose: true
            access_type: public_method
            serialized_name: HotShoe
            accessor:
                getter: getHotShoe
                setter: setHotShoe
            type: boolean
        flashSynchronization:
            expose: true
            access_type: public_method
            serialized_name: FlashSynchronization
            accessor:
                getter: getFlashSynchronization
                setter: setFlashSynchronization
            type: boolean
        redEyeReduction:
            expose: true
            access_type: public_method
            serialized_name: Red-EyeReduction
            accessor:
                getter: getRedEyeReduction
                setter: setRedEyeReduction
            type: boolean
        diopterAdjustment:
            expose: true
            access_type: public_method
            serialized_name: DiopterAdjustment
            accessor:
                getter: getDiopterAdjustment
                setter: setDiopterAdjustment
            type: boolean
        viewfinder:
            expose: true
            access_type: public_method
            serialized_name: Viewfinder
            accessor:
                getter: getViewfinder
                setter: setViewfinder
            type: string
        lCD:
            expose: true
            access_type: public_method
            serialized_name: LCD
            accessor:
                getter: getLCD
                setter: setLCD
            type: boolean
        dateImprint:
            expose: true
            access_type: public_method
            serialized_name: DateImprint
            accessor:
                getter: getDateImprint
                setter: setDateImprint
            type: boolean
        midrollChange:
            expose: true
            access_type: public_method
            serialized_name: MidrollChange
            accessor:
                getter: getMidrollChange
                setter: setMidrollChange
            type: boolean
        midrollRewind:
            expose: true
            access_type: public_method
            serialized_name: MidrollRewind
            accessor:
                getter: getMidrollRewind
                setter: setMidrollRewind
            type: boolean
        autoRewind:
            expose: true
            access_type: public_method
            serialized_name: AutoRewind
            accessor:
                getter: getAutoRewind
                setter: setAutoRewind
            type: boolean
        autoFilmAdvance:
            expose: true
            access_type: public_method
            serialized_name: AutoFilmAdvance
            accessor:
                getter: getAutoFilmAdvance
                setter: setAutoFilmAdvance
            type: boolean
        autoFilmLoad:
            expose: true
            access_type: public_method
            serialized_name: AutoFilmLoad
            accessor:
                getter: getAutoFilmLoad
                setter: setAutoFilmLoad
            type: boolean
        selfTimer:
            expose: true
            access_type: public_method
            serialized_name: SelfTimer
            accessor:
                getter: getSelfTimer
                setter: setSelfTimer
            type: App\Library\Amazon\Classes\TimeDimensionType
        remoteIncluded:
            expose: true
            access_type: public_method
            serialized_name: RemoteIncluded
            accessor:
                getter: getRemoteIncluded
                setter: setRemoteIncluded
            type: boolean
        continuousShooting:
            expose: true
            access_type: public_method
            serialized_name: ContinuousShooting
            accessor:
                getter: getContinuousShooting
                setter: setContinuousShooting
            type: App\Library\Amazon\Classes\ContinuousShootingDimensionType
        batteryType:
            expose: true
            access_type: public_method
            serialized_name: BatteryType
            accessor:
                getter: getBatteryType
                setter: setBatteryType
            type: string
        batteryIncluded:
            expose: true
            access_type: public_method
            serialized_name: BatteryIncluded
            accessor:
                getter: getBatteryIncluded
                setter: setBatteryIncluded
            type: boolean
        exposureControl:
            expose: true
            access_type: public_method
            serialized_name: ExposureControl
            accessor:
                getter: getExposureControl
                setter: setExposureControl
            type: string
        size:
            expose: true
            access_type: public_method
            serialized_name: Size
            accessor:
                getter: getSize
                setter: setSize
            type: string
        packageType:
            expose: true
            access_type: public_method
            serialized_name: PackageType
            accessor:
                getter: getPackageType
                setter: setPackageType
            type: string
